Bug 3665 - Fix config script for macOS
Summary: Fix config script for macOS
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.14.1
Hardware: PC Mac OS X 10.1
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2016-08-10 02:08 CEST by Yurii Kolesnykov
Modified: 2017-09-01 10:30 CEST (History)
0 users

See Also:


Attachments
patch (1.10 KB, application/octet-stream)
2016-08-10 02:08 CEST, Yurii Kolesnykov
no flags Details
a different approach (1.37 KB, patch)
2016-08-10 04:23 CEST, Andrej Kacian
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yurii Kolesnykov 2016-08-10 02:08:12 CEST
Created attachment 1670 [details]
patch
Comment 1 Andrej Kacian 2016-08-10 04:23:27 CEST
Created attachment 1671 [details]
a different approach

The change to src/Makefile.am is incorrect, as it will force the LDFLAGS needed by OSX also to other non-Windows systems. Can you test this patch instead?
Comment 2 Yurii Kolesnykov 2016-08-11 19:56:44 CEST
Please help me apply it. Since I'm not so familiar with patch command.
Comment 3 Andrej Kacian 2016-08-16 10:27:36 CEST
"patch -p1 < file.patch" in top directory of the git repository should do it.
Comment 4 Yurii Kolesnykov 2016-08-18 01:13:36 CEST
Seems like working.
Comment 5 users 2016-08-18 23:41:02 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2016-08-18 23:41:02.394270001 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=63587119a66ce7965257b37234773d46daa41b02
Merge: e61d21b c9c7295
Author: Colin Leroy <colin@colino.net>
Date:   Thu Aug 18 23:41:01 2016 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=c9c7295006daf90a3860305a3a6836c99bfcde11
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Thu Aug 18 23:40:16 2016 +0200

    Removed fork() prototype from w32lib.h.
    
    fork() is builtin in mingw.

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=53a6a5a53c7a2ba98e40a65f54680bff5338cae4
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Thu Aug 18 20:39:30 2016 +0200

    Set correct LDFLAGS for OS X.
    
    Commit also simplifies LDFLAGS for Windows,
    moving them from src/Makefile.am to configure.ac.
    
    Closes bug #3665.